[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#527368: marked as done (xmlstarlet: multiple namespaces limited to two)

Your message dated Mon, 21 Jun 2010 19:36:41 +0200
with message-id <4C1FA329.5010405@climbing.nl>
and subject line recent upload should have closed this bug
has caused the Debian Bug report #527368,
regarding xmlstarlet: multiple namespaces limited to two
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

527368: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=527368
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: xmlstarlet
Version: 1.0.1-2
Severity: normal

for my query i need to define several namespaces via the -N switch.
help says "Multiple -N options are allowed.". but if i use more that 2 xmlstarlet fails.
reducing the number of namespaces to 2 fails with a "undefined namepsace" which makes sense.

i tested all combinations possible of my namespaces and am pretty sure that indeed only the number of -N is an issue, not the namespaces themselves.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_DK.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xmlstarlet depends on:
ii  libc6                  2.9-10            GNU C Library: Shared libraries
ii  libxml2                2.7.3.dfsg-1      GNOME XML library
ii  libxslt1.1             1.1.24-2          XSLT processing library - runtime 
ii  zlib1g                 1: compression library - runtime

xmlstarlet recommends no packages.

xmlstarlet suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Version 1.0.2-1

The recent upload by Neil of version 1.0.2-1 of xmlstarlet could have
closed this bug because it is fixed by the latest upstream version.

See git changelog:

Make autogen.sh call autoheader
Make autogen.sh stop on error
Add support for NOCONFIGURE to autogen.sh
Use AMTAR instead of hardcoded tar
Apply CompareAttributes.patch from bug #2617806 to fix pyx sorting
Apply xmlstarlet-1.0.1-cc.patch from bug #2012417 to remove hardcoded
pathes and flags in configure
Apply patch from bug #1722425 to fix multiple -N options
Apply xmlstarlet-1.0.1-test-validation.diff from patch #2905714 to fail
on validation if libxml2 doesn't support it
Apply xmlstarlet-1.0.1-missing-semicolon.diff from patch #2905712 to fix
syntax issue with specific defines
Apply xmlstarlet-1.0.1-test-libxml-debug.diff from patch #2905668 to
enable debugging only when libxml2 supports it
Apply xml_format.patch with additional minor typos corrected from patch
#1940497 for quiet option
Apply xml_edit.patch from patch #1573609 for inplace editing
doc updates
doc updates added more links

Attachment: signature.asc
Description: OpenPGP digital signature

--- End Message ---

Reply to: